DCMTK: TrcTrackSet Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Attributes | Friends | List of all members
TrcTrackSet Class Reference

Class representing a Track Set within the Tractography Results IOD. More...

Inheritance diagram for TrcTrackSet:

## Public Member Functions
virtual | ~TrcTrackSet ()
| Destructor, frees memory.
virtual void | resetRules ()
| Resets rules to their original values.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
virtual OFString | getName () const
| Get name of component.
virtual void | clearData ()
| Clear all data.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual const OFVector< TrcTrack * > & | getTracks ()
| Get Tracks of this Track Set.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual OFCondition | getTrackSetNumber (Uint16 &value, const unsigned long pos=0) const
| Get Track Set Number (should be 1-n)
virtual OFCondition | getTrackSetLabel (OFString &value, const signed long pos=0) const
| Get Track Set Label.
virtual OFCondition | getTrackSetDescription (OFString &value, const signed long pos=0) const
| Get Track Set Description.
virtual CodeWithModifiers & | getTrackSetAnatomy ()
| Get reference to Track Set Anatomical Type Code.
virtual OFCondition | getRecommendedDisplayCIELabValue (Uint16 &L, Uint16 &a, Uint16 &b)
| Get copy of Recommended Display CIELab Value.
virtual OFCondition | getRecommendedLineThickness (Float32 &value, const unsigned long pos=0)
| Get Recommended Line Thickness.
virtual OFCondition | getLaterality (TrcTypes::E_TrackSetLaterality &laterality)
| Get Laterality.
virtual OFCondition | findMeasurementsByType (const CodeSequenceMacro &type, OFVector< size_t > &measurementNumbers)
| Find measurements of a specific type.
virtual OFCondition | getMeasurement (const size_t measurementIndex, TrcMeasurement *&measurement)
| Get measurement by index.
virtual void | getMeasurementInfos (OFVector< OFPair< CodeSequenceMacro, CodeSequenceMacro > > &typesAndUnits)
| Get descriptive information of all measurements.
virtual const OFVector< TrcTracksStatistic * > & | getTrackStatistics ()
| Get access to all statistics defined for the Tracks in this Track Set.
virtual const OFVector< TrcTrackSetStatistic * > & | getTrackSetStatistics ()
| Get access to all statistics defined for the Tracks in this Track Set.
virtual CodeSequenceMacro & | getDiffusionAcquisitionCode ()
| Get access to diffusion acquisition code.
virtual CodeSequenceMacro & | getDiffusionModelCode ()
| Get access to diffusion model code used.
virtual OFVector< AlgorithmIdentificationMacro * > & | getTrackingAlgorithmIdentification ()
| Get access to tracking algorithm identification codes.
size_t | getNumberOfTracks ()
| Returns number of Tracks in Track Set.
size_t | getNumberOfTrackSetStatistics ()
| Returns number of Track Set Statistics in Track Set.
size_t | getNumberOfTrackStatistics ()
| Returns number of Track Statistics in Track Set.
size_t | getNumberOfMeasurements ()
| Returns number of Measurements in Track Set.
virtual OFCondition | addTrack (const Float32 *pointData, const size_t numPoints, const Uint16 *recommendedCIELabColors, const size_t numColors, TrcTrack *&result)
| Add track to Track Set.
virtual OFCondition | addMeasurement (const CodeSequenceMacro &measurementCode, const CodeSequenceMacro &measurementUnitCodes, TrcMeasurement *&measurement)
| Add measurement for this Track Set.
virtual OFCondition | addTrackStatistics (const CodeSequenceMacro &typeCode, const CodeSequenceMacro &typeModifierCode, const CodeSequenceMacro &unitsCode, const Float32 *values, const size_t numValues, TrcTracksStatistic *&statistic)
| Add Track Statistic, i.e.
virtual OFCondition | addTrackSetStatistic (const CodeSequenceMacro &typeCode, const CodeSequenceMacro &typeModifierCode, const CodeSequenceMacro &unitsCode, const Float64 value, TrcTrackSetStatistic *&statistic)
| Add Track Set Statistic, i.e.
virtual OFCondition | setTrackSetLabel (const OFString &value, const OFBool checkValue=OFTrue)
| Set Track Set Label.
virtual OFCondition | setTrackSetDescription (const OFString &value, const OFBool checkValue=OFTrue)
| Set Track Set Description.
virtual OFCondition | setRecommendedDisplayCIELabValue (const Uint16 L, const Uint16 a, const Uint16 b)
| Set Recommended Display CIELab Value.
virtual OFCondition | setRecommendedLineThickness (const Float32 &value, const OFBool checkValue=OFTrue)
| Set Recommended Line Thickness.
virtual OFCondition | setLaterality (const TrcTypes::E_TrackSetLaterality value, const OFBool checkValue=OFTrue)
| Set Laterality.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
void | clearData ()
| Clear all attributes from the data that are handled by this module.
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Static Public Member Functions
static OFCondition | create (const OFString &trackSetLabel, const OFString &trackSetDescription, const CodeWithModifiers &trackSetAnatomy, const CodeSequenceMacro &trackSetDiffusionModelCode, const AlgorithmIdentificationMacro &trackSetAlgorithmIdentification, TrcTrackSet *&trackSet)
| Create TrcTrackSet object by proving required data.
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.

## Protected Member Functions
| TrcTrackSet ()
| Protected constructor, use create() method to create a new Track Set.
OFCondition | readTrackStatistics (DcmItem &source)
| Reads Track statistics from item into dedicated structures.
OFCondition | readTrackSetStatistics (DcmItem &source)
| Reads Track Set statistics from item into dedicated structures.
OFCondition | readTracks (DcmItem &source)
| Reads Tracks from item into dedicated structures.
void | writeTrackStatistics (OFCondition &result, DcmItem &destination)
| Write Track Statistics to given item.
void | writeTrackSetStatistics (OFCondition &result, DcmItem &destination)
| Write Track Statistics to given item.
OFCondition | writeMeasurements (OFCondition &result, DcmItem &destination)
| Write Measurements to given item.
OFCondition | writeTracks (OFCondition &result, DcmItem &destination)
| Write Tracks to given item.
OFCondition | checkMeasurements ()
| Check whether measurements have data for all tracks.

## Private Attributes
OFVector< TrcTrack * > | m_Tracks
| Data for all tracks (i.e. content of Track Sequence)
CodeWithModifiers | m_Anatomy
| Anatomy code for this Track Set.
OFVector< TrcMeasurement * > | m_Measurements
| Measurements for this Track Set.
OFVector< TrcTracksStatistic * > | m_TrackStatistics
| Statistics for Tracks in this Track Set.
OFVector< TrcTrackSetStatistic * > | m_TrackSetStatistics
| Statistics for Track Set.
CodeSequenceMacro | m_DiffusionAcquisitionCode
| Code for diffusion acquisition used for this Track Set.
CodeSequenceMacro | m_DiffusionModelCode
| Code for diffusion model used for this Track Set.
OFVector< AlgorithmIdentificationMacro * > | m_TrackingAlgorithmIdentification
| Codes for algorithms used to create this Track Set.

## Friends
class | DcmIODUtil
| Allow read/write functions in DcmIODUtil to access class internals.

## Additional Inherited Members
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing a Track Set within the Tractography Results IOD.

A Track Set is a set of tracks (really), and might define a measurements and statistics which then must be populated for all tracks in the set.

## Member Function Documentation

## ◆ addMeasurement()

virtual OFCondition TrcTrackSet::addMeasurement | ( | const CodeSequenceMacro & | measurementCode,
|  | const CodeSequenceMacro & | measurementUnitCodes,
|  | TrcMeasurement *& | measurement )
| virtual

Add measurement for this Track Set.

Parameters

  measurementCode | The type of measurement. DICOM prescribes a code from CID 7263 "Diffusion Tractography Measurement Types"
  measurementUnitCodes | The physical units of the measured value. DICOM prescribes a code from CID 82 "Measurement Unit".
  measurement | The created measurement, if successful, NULL otherwise

Returns
  EC_Normal if successful, error otherwise

## ◆ addTrack()

virtual OFCondition TrcTrackSet::addTrack | ( | const Float32 * | pointData,
|  | const size_t | numPoints,
|  | const Uint16 * | recommendedCIELabColors,
|  | const size_t | numColors,
|  | TrcTrack *& | result )
| virtual

Add track to Track Set.

Parameters

  pointData | Array of points (x,y,z coordinate for each point)
  numPoints | Number of points in pointData (i.e. number of point coordinates divided by 3)
  recommendedCIELabColors | Recommended display color(s) as CIELab values, i.e. L,a,b component(s). There are 3 modes: 1) Single color: All points in track will be colored in that color 2) No color (NULL): Color is not defined on a per-track basis but must be defined on Track Set level 3) One color per point: Colors for all points are provided separately.
  numColors | Number of colors defined in recommendedCIELabColors (must be either 0, 1 or numPoints)
  result | Returns the resulting Track if creation was successful, error otherwise

## ◆ addTrackSetStatistic()

virtual OFCondition TrcTrackSet::addTrackSetStatistic | ( | const CodeSequenceMacro & | typeCode,
|  | const CodeSequenceMacro & | typeModifierCode,
|  | const CodeSequenceMacro & | unitsCode,
|  | const Float64 | value,
|  | TrcTrackSetStatistic *& | statistic )
| virtual

Add Track Set Statistic, i.e.

a statistical value computed for the whole Track Set.

Parameters

  typeCode | The type of statistic, DICOM prescribes code from CID 7263 "Diffusion Tractography Measurement Types".
  typeModifierCode | The region of interest of this statistic. DICOM prescribes code from CID 7464 "General Region of Interest Measurement Modifiers"
  unitsCode | The physical units of the measured value. DICOM prescribes a code from CID 82 "Measurement Unit".
  value | The statistical value
  statistic | Returns the created statistic, if successful. NULL otherwise

Returns
  EC_Normal if successful, error otherwise

## ◆ addTrackStatistics()

virtual OFCondition TrcTrackSet::addTrackStatistics | ( | const CodeSequenceMacro & | typeCode,
|  | const CodeSequenceMacro & | typeModifierCode,
|  | const CodeSequenceMacro & | unitsCode,
|  | const Float32 * | values,
|  | const size_t | numValues,
|  | TrcTracksStatistic *& | statistic )
| virtual

Add Track Statistic, i.e.

statistic that is defined once and where a single value must be provided for all tracks.

Parameters

  typeCode | The type of statistic, DICOM prescribes code from CID 7263 "Diffusion Tractography Measurement Types".
  typeModifierCode | The region of interest of this statistic. DICOM prescribes code from CID 7464 "General Region of Interest Measurement Modifiers"
  unitsCode | The physical units of the measured value. DICOM prescribes a code from CID 82 "Measurement Unit".
  values | The statistical values, one for each track
  numValues | The number of values in statisticValues (must be equal to number of tracks in this Track Set)
  statistic | Returns the created statistic, if successful. NULL otherwise

Returns
  Returns EC_Normal if successful, error otherwise

## ◆ checkMeasurements()

OFCondition TrcTrackSet::checkMeasurements | ( |  | ) |
| protected

Check whether measurements have data for all tracks.

Returns
  EC_Normal measurement data is complete, TRC_EC_MeasurementDataMissing otherwise

## ◆ create()

static OFCondition TrcTrackSet::create | ( | const OFString & | trackSetLabel,
|  | const OFString & | trackSetDescription,
|  | const CodeWithModifiers & | trackSetAnatomy,
|  | const CodeSequenceMacro & | trackSetDiffusionModelCode,
|  | const AlgorithmIdentificationMacro & | trackSetAlgorithmIdentification,
|  | TrcTrackSet *& | trackSet )
| static

Create TrcTrackSet object by proving required data.

Parameters

  trackSetLabel | Label for the Track Set (256 chars max, VR=LO)
  trackSetDescription | Description for the Track Set (2^32-2 bytes maximum, VR=UT)
  trackSetAnatomy | Code for the anatomy the Track Set covers. DICOM proposes CID 7710 "Tractography Anatomic Sites" (Baseline)
  trackSetDiffusionModelCode | Code for diffusion model used for Track Set. DICOM prescribes code from CID 7261 "Diffusion Model Value Types"
  trackSetAlgorithmIdentification | Algorithm used in order to create Track Set. DICOM prescribes code from CID 7262 "Diffusion Tractography Algorithm Families". A trackset can contain more than one algorithm description. If you want to add more than one description macro, getTrackingAlgorithmIdentification() and add as many as needed to the returned vector.
  trackSet | Returns the created Track Set, if successful (NULL otherwise)

Returns
  EC_Normal if creation was successful, error otherwise

References TrcTrackSet().

## ◆ findMeasurementsByType()

virtual OFCondition TrcTrackSet::findMeasurementsByType | ( | const CodeSequenceMacro & | type,
|  | OFVector< size_t > & | measurementNumbers )
| virtual

Find measurements of a specific type.

They can be retrieved afterwards by using getMeasurement().

Parameters

  type | The measurement type to look for
  measurementNumbers | Returns the measurement indexes that are of specified type.

Returns
  Always returns EC_Normal (for now).

## ◆ getDiffusionAcquisitionCode()

virtual CodeSequenceMacro & TrcTrackSet::getDiffusionAcquisitionCode | ( |  | ) |
| virtual

Get access to diffusion acquisition code.

Returns
  Returns reference to diffusion acquisition code

## ◆ getDiffusionModelCode()

virtual CodeSequenceMacro & TrcTrackSet::getDiffusionModelCode | ( |  | ) |
| virtual

Get access to diffusion model code used.

Returns
  Returns reference to diffusion model code

## ◆ getLaterality()

virtual OFCondition TrcTrackSet::getLaterality | ( | TrcTypes::E_TrackSetLaterality & | laterality | ) |
| virtual

Get Laterality.

Parameters

  laterality | Reference to the variable in which the value should be stored. If value in dataset is not set at all, LAT_UNKNOWN is returned. If a value is present that is not covered by the standard LAT_ERROR is returned.

Returns
  EC_Normal if successful (i.e. not LAT_ERROR), error code otherwise

## ◆ getMeasurement()

virtual OFCondition TrcTrackSet::getMeasurement | ( | const size_t | measurementIndex,
|  | TrcMeasurement *& | measurement )
| virtual

Get measurement by index.

The index can be identified by using findMeasurementsByType() or getMeasurementInfos()

Parameters

  measurementIndex | The index of the measurement (starting from 0)
  measurement | Returns a reference to the measurement requested

Returns
  Returns EC_Normal if measurement exists, TRC_EC_NoSuchMeasurement otherwise

## ◆ getMeasurementInfos()

virtual void TrcTrackSet::getMeasurementInfos | ( | OFVector< OFPair< CodeSequenceMacro, CodeSequenceMacro > > & | typesAndUnits | ) |
| virtual

Get descriptive information of all measurements.

Parameters

  typesAndUnits | Returns vector of pairs, which each pair holding a code for type of measurement and its physical units.

## ◆ getName()

virtual OFString TrcTrackSet::getName | ( |  | ) | const
| virtual

Get name of component.

Returns
  Name of the module ("TrackSetSequenceItem")

Implements IODComponent.

## ◆ getNumberOfMeasurements()

size_t TrcTrackSet::getNumberOfMeasurements | ( |  | ) |

Returns number of Measurements in Track Set.

Returns
  Number of Measurements in Track Set

## ◆ getNumberOfTracks()

size_t TrcTrackSet::getNumberOfTracks | ( |  | ) |

Returns number of Tracks in Track Set.

Returns
  Number of Tracks in Track Set

## ◆ getNumberOfTrackSetStatistics()

size_t TrcTrackSet::getNumberOfTrackSetStatistics | ( |  | ) |

Returns number of Track Set Statistics in Track Set.

Returns
  Number of Track Set Statistics in Track Set

## ◆ getNumberOfTrackStatistics()

size_t TrcTrackSet::getNumberOfTrackStatistics | ( |  | ) |

Returns number of Track Statistics in Track Set.

Returns
  Number of Track Statistics in Track Set

## ◆ getRecommendedDisplayCIELabValue()

virtual OFCondition TrcTrackSet::getRecommendedDisplayCIELabValue | ( | Uint16 & | L,
|  | Uint16 & | a,
|  | Uint16 & | b )
| virtual

Get copy of Recommended Display CIELab Value.

Parameters

  L | Returns CIELab L value
  a | Returns CIELab a value
  b | Returns CIELab b value

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getRecommendedLineThickness()

virtual OFCondition TrcTrackSet::getRecommendedLineThickness | ( | Float32 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Recommended Line Thickness.

Parameters

  value | Reference to the variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getTrackingAlgorithmIdentification()

virtual OFVector< AlgorithmIdentificationMacro * > & TrcTrackSet::getTrackingAlgorithmIdentification | ( |  | ) |
| virtual

Get access to tracking algorithm identification codes.

Returns
  Reference to tracking algorithm identification codes

## ◆ getTracks()

virtual const OFVector< TrcTrack * > & TrcTrackSet::getTracks | ( |  | ) |
| virtual

Get Tracks of this Track Set.

Returns
  Reference to Tracks of this Track Set

## ◆ getTrackSetAnatomy()

virtual CodeWithModifiers & TrcTrackSet::getTrackSetAnatomy | ( |  | ) |
| virtual

Get reference to Track Set Anatomical Type Code.

Returns
  Reference to the code

## ◆ getTrackSetDescription()

virtual OFCondition TrcTrackSet::getTrackSetDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Track Set Description.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getTrackSetLabel()

virtual OFCondition TrcTrackSet::getTrackSetLabel | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Track Set Label.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getTrackSetNumber()

virtual OFCondition TrcTrackSet::getTrackSetNumber | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

Get Track Set Number (should be 1-n)

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getTrackSetStatistics()

virtual const OFVector< TrcTrackSetStatistic * > & TrcTrackSet::getTrackSetStatistics | ( |  | ) |
| virtual

Get access to all statistics defined for the Tracks in this Track Set.

Returns
  Returns reference to all Track statistics

## ◆ getTrackStatistics()

virtual const OFVector< TrcTracksStatistic * > & TrcTrackSet::getTrackStatistics | ( |  | ) |
| virtual

Get access to all statistics defined for the Tracks in this Track Set.

Returns
  Returns reference to all Track statistics

## ◆ inventMissing()

virtual void TrcTrackSet::inventMissing | ( |  | ) |
| virtual

Set missing values by inventing "default values".

Automatically called during write() by IODComponent.

Reimplemented from IODComponent.

## ◆ read()

virtual OFCondition TrcTrackSet::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )
| virtual

Read attributes from given item into this class.

Parameters

  source | The source to read from
  clearOldData | If OFTrue, old data is cleared before reading. Otherwise old data is overwritten (or amended)

Returns
  EC_Normal if reading was successful, error otherwise

Reimplemented from IODComponent.

## ◆ readTracks()

OFCondition TrcTrackSet::readTracks | ( | DcmItem & | source | ) |
| protected

Reads Tracks from item into dedicated structures.

Parameters

  source | The item to read from, must contain Track Sequence

Returns
  EC_Normal if reading was successful, error otherwise

## ◆ readTrackSetStatistics()

OFCondition TrcTrackSet::readTrackSetStatistics | ( | DcmItem & | source | ) |
| protected

Reads Track Set statistics from item into dedicated structures.

Parameters

  source | The item to read from, must contain Track Statistics Sequence

Returns
  EC_Normal if reading was successful, error otherwise

## ◆ readTrackStatistics()

OFCondition TrcTrackSet::readTrackStatistics | ( | DcmItem & | source | ) |
| protected

Reads Track statistics from item into dedicated structures.

Parameters

  source | The item to read from, must contain Track Set Statistics Sequence

Returns
  EC_Normal if reading was successful, error otherwise

## ◆ setLaterality()

virtual OFCondition TrcTrackSet::setLaterality | ( | const TrcTypes::E_TrackSetLaterality | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Laterality.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance if enabled. Parameter is not used but present for consistency with other functions.

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setRecommendedDisplayCIELabValue()

virtual OFCondition TrcTrackSet::setRecommendedDisplayCIELabValue | ( | const Uint16 | L,
|  | const Uint16 | a,
|  | const Uint16 | b )
| virtual

Set Recommended Display CIELab Value.

Parameters

  L | CIELab L component value
  a | CIELab a component value
  b | CIELab b component value

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setRecommendedLineThickness()

virtual OFCondition TrcTrackSet::setRecommendedLineThickness | ( | const Float32 & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Recommended Line Thickness.

Parameters

  value | Value to be set. The units shall be the same as the units of the coordinate system in which the point coordinates are specified.
  checkValue | Check 'value' for conformance with VR (FL) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setTrackSetDescription()

virtual OFCondition TrcTrackSet::setTrackSetDescription | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Track Set Description.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (UT) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setTrackSetLabel()

virtual OFCondition TrcTrackSet::setTrackSetLabel | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Track Set Label.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ write()

virtual OFCondition TrcTrackSet::write | ( | DcmItem & | destination | ) |
| virtual

Write attributes from this class into given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Reimplemented from IODComponent.

## ◆ writeMeasurements()

OFCondition TrcTrackSet::writeMeasurements | ( | OFCondition & | result,
|  | DcmItem & | destination )
| protected

Write Measurements to given item.

Parameters

  result | Returns EC_Normal if writing was successful, error otherwise or if result has not been EC_Normal when calling
  destination | The destination item to write to. The Measurements Sequence will be written by this method.

Returns
  Same as parameter "result"

## ◆ writeTracks()

OFCondition TrcTrackSet::writeTracks | ( | OFCondition & | result,
|  | DcmItem & | destination )
| protected

Write Tracks to given item.

Parameters

  result | Returns EC_Normal if writing was successful, error otherwise or if result has not been EC_Normal when calling
  destination | The destination item to write to. The Tracks Sequence will be written by this method.

Returns
  Same as parameter "result"

## ◆ writeTrackSetStatistics()

void TrcTrackSet::writeTrackSetStatistics | ( | OFCondition & | result,
|  | DcmItem & | destination )
| protected

Write Track Statistics to given item.

Parameters

  result | Returns EC_Normal if writing was successful, error otherwise or if result has not been EC_Normal when calling
  destination | The destination item to write to. The Track Set Statistic Sequence will be written by this method.

## ◆ writeTrackStatistics()

void TrcTrackSet::writeTrackStatistics | ( | OFCondition & | result,
|  | DcmItem & | destination )
| protected

Write Track Statistics to given item.

Parameters

  result | Returns EC_Normal if writing was successful, error otherwise or if result has not been EC_Normal when calling
  destination | The destination item to write to. The Track Statistic Sequence will be written by this method.

The documentation for this class was generated from the following file:

- dcmtract/include/dcmtk/dcmtract/trctrackset.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2